List FHIR providers

GET/fhir-provider/list

Retrieves a list of all active FHIR providers for the authenticated user.

On shared instances, only sandbox providers are returned. Sandbox providers return FhirProviderSandboxInfo.

RequiresBearerauthentication
Returns  

FHIR providers retrieved successfully

Response fields

successbooleanoptional
messagestringoptional
fhir_providersoneOf[]optional

List of FHIR providers. Sandbox providers return FhirProviderSandboxInfo, other providers return FhirProviderTemplate.

GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/fhir-provider/list" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "success": true,
  "message": "Fhir providers retrieved successfully",
  "fhir_providers": [
    {
      "id": "1716d214-de93-43a4-aa6b-a878d864e2ad",
      "name": "Epic Sandbox",
      "description": "Epic sandbox environment for testing",
      "provider": "epic",
      "base_url": "https://fhir.epic.com/interconnect-fhir-oauth/api/FHIR/R4",
      "auth_configs": {
        "auth-config-123": {
          "auth_config_id": "auth-config-123",
          "auth_method": "jwt",
          "is_active_auth_config": true,
          "created_at": "2024-01-15T10:30:00Z",
          "updated_at": "2024-01-15T10:30:00Z",
          "scopes": "system/Patient.read system/Observation.read",
          "client_id": "your-client-id"
        }
      },
      "last_updated": "2024-01-15T10:30:00Z"
    },
    {
      "id": "4da196da-5cf1-4574-9e65-f97d7ea20b38",
      "name": "PhenoML Sandbox",
      "description": "Shared sandbox environment for experimentation",
      "provider": "sandbox"
    }
  ]
}